package com.ruoyi.tcZz.service;

import com.ruoyi.tcZz.domain.TcYtlc;

import java.util.List;

/**
 * 约谈流程Service接口
 *
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcYtlcService {
    /**
     * 查询约谈流程
     *
     * @param id 约谈流程主键
     * @return 约谈流程
     */
    public TcYtlc selectTcYtlcById(Long id);

    /**
     * 查询约谈流程列表
     *
     * @param tcYtlc 约谈流程
     * @return 约谈流程集合
     */
    public List<TcYtlc> selectTcYtlcList(TcYtlc tcYtlc);

    /**
     * 新增约谈流程
     *
     * @param tcYtlc 约谈流程
     * @return 结果
     */
    public int insertTcYtlc(TcYtlc tcYtlc);

    /**
     * 修改约谈流程
     *
     * @param tcYtlc 约谈流程
     * @return 结果
     */
    public int updateTcYtlc(TcYtlc tcYtlc);

    /**
     * 批量删除约谈流程
     *
     * @param ids 需要删除的约谈流程主键集合
     * @return 结果
     */
    public int deleteTcYtlcByIds(Long[] ids);

    /**
     * 删除约谈流程信息
     *
     * @param id 约谈流程主键
     * @return 结果
     */
    public int deleteTcYtlcById(Long id);


    /**
     * 导入约谈流程信息
     *
     * @return 结果
     */
    public String importUser(List<TcYtlc> tcYtlcList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
